#include "pgm.decl.h"

class DataMsg : public CMessage_DataMsg {
public:
  int count;
};

class main : public Chare
{
private:
  int responders;
  int  count;
public:
  main(CkMigrateMessage *m) {}
  main(CkArgMsg *m);
  void results(DataMsg *msg);
};

class piPart : public Chare 
{
private:

public:
  piPart(CkMigrateMessage *m) {}
  piPart();
};
